Page MenuHomePhabricator

inverse_timestamp column exists in text table, it shouldn't
Closed, ResolvedPublic

Description

This field was part of revision table but it got dropped: https://gerrit.wikimedia.org/g/mediawiki/core/+/7c077ba897075b1a79fab79266131757eeedd04e/maintenance/archives/patch-inverse_timestamp.sql

but this field still exists and in text table instead (and only in s2, s3, s5, s6 and s7):

"text inverse_timestamp field-mismatch-prod-extra": {
    "s2": [
        "db1122.eqiad.wmnet",
        "db1129.eqiad.wmnet",
        "db1105.eqiad.wmnet",
        "db1090.eqiad.wmnet",
        "db1076.eqiad.wmnet",
        "db1103.eqiad.wmnet",
        "db1074.eqiad.wmnet"
    ],
    "s3": [
        "db1123.eqiad.wmnet",
        "db1075.eqiad.wmnet",
        "db1112.eqiad.wmnet",
        "db1078.eqiad.wmnet"
    ],
    "s5": [
        "db1100.eqiad.wmnet",
        "db1113.eqiad.wmnet",
        "db1096.eqiad.wmnet",
        "db1110.eqiad.wmnet",
        "db1082.eqiad.wmnet",
        "db1097.eqiad.wmnet",
        "db1130.eqiad.wmnet"
    ],
    "s6": [
        "db1131.eqiad.wmnet",
        "db1113.eqiad.wmnet",
        "db1088.eqiad.wmnet",
        "db1098.eqiad.wmnet",
        "db1085.eqiad.wmnet",
        "db1096.eqiad.wmnet",
        "db1093.eqiad.wmnet"
    ],
    "s7": [
        "db1086.eqiad.wmnet",
        "db1136.eqiad.wmnet",
        "db1101.eqiad.wmnet",
        "db1079.eqiad.wmnet",
        "db1094.eqiad.wmnet",
        "db1090.eqiad.wmnet",
        "db1098.eqiad.wmnet"
    ]
},

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 13 2020, 10:06 AM

@Ladsgroup that patch you posted is for the revision table - which btw includes some fields that will be dropped at https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/552339 so not sure how to proceeed here

Marostegui moved this task from Triage to Backlog on the DBA board.Apr 15 2020, 6:37 AM
Marostegui changed the task status from Open to Stalled.May 7 2020, 6:02 AM

Stalling per the above comment

Marostegui triaged this task as Medium priority.May 20 2020, 7:01 AM

@Ladsgroup that patch you posted is for the revision table - which btw includes some fields that will be dropped at https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/552339 so not sure how to proceeed here

yes. That's the thing. If I remember my "mediawiki history 655" course correctly. We used to not have a text table. It used to be all part of revision table and creating it on the fly happened by duplicating the table and dropping the other columns (that's why text table still has some other columns that belongs to revision table T250066: text table still has old_* fields and indexes on some hosts) Honestly, You could basically merge these two tickets.

Marostegui changed the task status from Stalled to Open.Jun 12 2020, 4:53 AM
Marostegui claimed this task.
Marostegui moved this task from Backlog to In progress on the DBA board.

I am executing this as part of T250066

Marostegui closed this task as Resolved.Jun 23 2020, 11:48 AM

This is done as it was included at T250066